#pragma once

#include "CoreMinimal.h"
#include "KillerVaultDefinition.h"
#include "K41HeadModeVaultInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THEK41_API UK41HeadModeVaultInteraction : public UKillerVaultDefinition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _maxDistanceFromVaultLocation;

public:
	UK41HeadModeVaultInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UK41HeadModeVaultInteraction) { return 0; }
